## tarsnap-autoconf-1.0.33.tgz

=== lib/Makefile ===
LIB	=	tarsnap
WARNS	?=	6
CFLAGS	+=	-DPLATFORM_CONFIG_H=\"config_freebsd.h\"
CFLAGS	+=	-DTSSERVER=\"${TSSERVER}\"
CFLAGS	+=	-I ../tar

# Crypto code
.PATH	:	crypto
SRCS	+=	crypto_aesctr.c
SRCS	+=	crypto_dh.c
SRCS	+=	crypto_dh_group14.c
SRCS	+=	crypto_entropy.c
SRCS	+=	crypto_file.c
SRCS	+=	crypto_hash.c
SRCS	+=	crypto_keys.c
SRCS	+=	crypto_keys_server.c
SRCS	+=	crypto_keys_subr.c
SRCS	+=	crypto_passwd_to_dh.c
SRCS	+=	crypto_rsa.c
SRCS	+=	crypto_scrypt-nosse.c
SRCS	+=	crypto_session.c
SRCS	+=	crypto_verify_bytes.c
SRCS	+=	sha256.c
CFLAGS	+=	-I crypto

# Data structures
.PATH	:	datastruct
SRCS	+=	rwhashtab.c
SRCS	+=	patricia.c
CFLAGS	+=	-I datastruct

# Key file handling code
.PATH	:	keyfile
SRCS	+=	keyfile.c
CFLAGS	+=	-I keyfile

# Tarsnap request-response protocol code
.PATH	:	netpacket
SRCS	+=	netpacket_delete.c
SRCS	+=	netpacket_directory.c
SRCS	+=	netpacket_hmac.c
SRCS	+=	netpacket_op.c
SRCS	+=	netpacket_read.c
SRCS	+=	netpacket_register.c
SRCS	+=	netpacket_transaction.c
SRCS	+=	netpacket_write.c
CFLAGS	+=	-I netpacket

# Tarsnap client-server code
.PATH	:	netproto
SRCS	+=	netproto.c
SRCS	+=	netproto_connect.c
SRCS	+=	netproto_keyexchange.c
SRCS	+=	netproto_packet.c
CFLAGS	+=	-I netproto

# Non-blocking network routines
.PATH	:	network
SRCS	+=	network_buf.c
SRCS	+=	network_connect.c
SRCS	+=	network_cork.c
SRCS	+=	network_select.c
SRCS	+=	network_writeq.c
CFLAGS	+=	-I network

# scryptenc code
.PATH	:	scryptenc
SRCS	+=	scryptenc.c
SRCS	+=	scryptenc_cpuperf.c
CFLAGS	+=	-I scryptenc

# Utility code
.PATH	:	util
SRCS	+=	asprintf.c
SRCS	+=	b64encode.c
SRCS	+=	dirutil.c
SRCS	+=	entropy.c
SRCS	+=	getfstype.c
SRCS	+=	hexify.c
SRCS	+=	hexlink.c
SRCS	+=	humansize.c
SRCS	+=	memlimit.c
SRCS	+=	monoclock.c
SRCS	+=	readpass.c
SRCS	+=	sigquit.c
SRCS	+=	tvmath.c
SRCS	+=	warnp.c
CFLAGS	+=	-I util

# Compiler flags for profiling
.if defined(PROFILE)
CFLAGS	+=	-g -pg -DPROFILE
.else
NO_PROFILE=	YES
.endif

# Debugging flags
.if defined(DEBUG)
CFLAGS	+=	-g
CFLAGS	+=	-DDEBUG
.endif

.include <bsd.lib.mk>

=== pkg/debian/changelog ===
tarsnap (1.0.33) unstable; urgency=low

  * New version of tarsnap brings reduced memory usage on systems with a
    large amount of stored data; faster operation for --fsck and when
    deleting or printing statistics for multiple archives; and corrects
    a bug in the handling of the --newerXXX option.

 -- Colin Percival <cperciva@tarsnap.com>  Wed, 1 Aug 2002 23:52:10 +0000

tarsnap (1.0.32) unstable; urgency=low

  * New version of tarsnap fixes a bug which made the --nodump option
    inoperative.

 -- Colin Percival <cperciva@tarsnap.com>  Sun, 12 Feb 2012 02:18:25 +0000

tarsnap (1.0.31) unstable; urgency=low

  * New version of tarsnap fixes security vulnerabilities relating to key
    file creation on multi-user systems, plus several minor enhancements
    and bug fixes.

 -- Colin Percival <cperciva@tarsnap.com>  Thu, 17 Nov 2011 10:52:59 +0000

tarsnap (1.0.30) unstable; urgency=low

  * New version of tarsnap brings many minor bug fixes.

 -- Colin Percival <cperciva@tarsnap.com>  Tue, 16 Aug 2011 20:25:12 +0000

tarsnap (1.0.29) unstable; urgency=low

  * New version of tarsnap adds tarsnap-recrypt utility for re-encrypting
    stored data.

 -- Colin Percival <cperciva@tarsnap.com>  Tue, 1 Feb 2011 21:28:44 +0000

tarsnap (1.0.28) unstable; urgency=critical

  * Bug fix in encryption code.

 -- Colin Percival <cperciva@tarsnap.com>  Mon, 17 Jan 2011 09:42:12 +0000

tarsnap (1.0.27) unstable; urgency=low

  * New version of tarsnap brings several new features.

 -- Colin Percival <cperciva@tarsnap.com>  Mon, 7 Jun 2010 04:19:32 +0000

tarsnap (1.0.26) unstable; urgency=low

  * New version of tarsnap changes client-server protocol in order to reduce
    "connection lost" warnings, fixes a serious bug in the --maxbw-rate
    options, improves documentation, and fixes a few other minor bugs.
  * Debian installation rules fixed to create Tarsnap cache directory with
    the correct (0700) permissions.

 -- Colin Percival <cperciva@tarsnap.com>  Thu, 24 Dec 2009 06:56:51 +0000

tarsnap (1.0.25) unstable; urgency=low

  * New version of tarsnap makes it possible for more options to be specified
    via configuration files, and for options set in configuration files to be
    unset at the command line.

 -- Colin Percival <cperciva@tarsnap.com>  Fri, 10 Jul 2009 10:50:12 +0000

tarsnap (1.0.24) unstable; urgency=low

  * New version of tarsnap updates underlying libarchive version to 2.7.0
    and reorganizes the source code and build process.

 -- Colin Percival <cperciva@tarsnap.com>  Sun, 21 Jun 2009 02:52:31 +0000

tarsnap (1.0.23) unstable; urgency=low

  * New version of tarsnap adds new features, improves resilience in the
    presence of transient network errors, and fixes minor bugs.

 -- Colin Percival <cperciva@tarsnap.com>  Wed, 10 Jun 2009 12:21:56 +0000

tarsnap (1.0.22) unstable; urgency=low

  * New version of tarsnap adds support for passphrase-protected key files
    using the scrypt key derivation function.

 -- Colin Percival <cperciva@tarsnap.com>  Tue, 3 Jun 2009 23:21:44 +0000

tarsnap (1.0.21) unstable; urgency=critical (low for users of tarsnap 1.0.19 or earlier)

  * New version of tarsnap fixes serious bug in the chunk cache when a
    checkpoint is created in the middle of a file.

 -- Colin Percival <cperciva@tarsnap.com>  Thu, 5 Mar 2009 01:12:50 +0000

tarsnap (1.0.20) unstable; urgency=low

  * Fixed typo in sed code for changing default cachedir.
  * Removed unnecessary dependency on autotools-dev.
  * Added dependency on libbz2-dev (not required, but tarsnap will take
    advantage of libbz2 if it is present).
  * Removed unnecessary CONFIGDIR= from ./configure invocation (the
    autoconf logic handles this already).

 -- Colin Percival <cperciva@tarsnap.com>  Sat, 31 Jan 2009 22:54:01 +0000

tarsnap (1.0.19-1) unstable; urgency=low

  * Fixed default config file location and cachedir.

 -- Mads Sulau Joergensen <mads@sulau.dk>  Sun, 18 Jan 2009 19:48:41 +0100

tarsnap (1.0.19) unstable; urgency=low

  * Initial Release.

 -- Mads Sulau Joergensen <mads@sulau.dk>  Sun, 18 Jan 2009 14:25:54 +0100

=== pkg/archlinux/PKGBUILD ===
# $Id$
# Maintainer: Jelle van der Waa <jelle vd waa.nl>

pkgname=tarsnap
pkgver=1.0.29
pkgrel=1
pkgdesc='An online encrypted snapshotted backup service'
arch=('i686' 'x86_64')
url='http://www.tarsnap.com/'
license=('custom')
depends=('bzip2' 'openssl' 'xz>=5.0.0')
makedepends=('e2fsprogs')
source=("https://www.tarsnap.com/download/$pkgname-autoconf-$pkgver.tgz")
md5sums=('0e5ef12a92fb651b51159b1ad52317f6')
sha256sums=('747510459e4af0ebbb6e267c159aa019f9337d1e07bd9a94f1aa1498081b7598')

build() {
  cd "$srcdir/$pkgname-autoconf-$pkgver"

  ./configure --prefix=/usr --sysconfdir="/etc/$pkgname"
  make
}

package() {
  cd "$srcdir/$pkgname-autoconf-$pkgver"

  make DESTDIR="$pkgdir" install
  install -D -m644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
}

=== pkg/debian/control ===
Source: tarsnap
Section: net
Priority: extra
Maintainer: Mads Sulau Joergensen <mads@sulau.dk>
Build-Depends: debhelper (>= 5), e2fslibs-dev, zlib1g-dev, libssl-dev, libbz2-dev, libattr1-dev, libacl1-dev
Standards-Version: 3.7.2

Package: tarsnap
Architecture: any
Depends: ${shlibs:Depends}
Description: tarsnap is an online encrypted snapshotted backup service
 Tarsnap is an encrypted snapshotted online backup service for BSD,
 Linux, OpenSolaris, and OS X.

=== pkg/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --sysconfdir=/etc --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-xattr --enable-acl --with-bz2lib CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"

build: build-stamp

build-stamp:  config.status
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	-$(MAKE) clean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	
	$(MAKE) prefix=$(CURDIR)/debian/tarsnap/usr sysconfdir=$(CURDIR)/debian/tarsnap/etc install
	
	mv $(CURDIR)/debian/tarsnap/etc/tarsnap.conf.sample $(CURDIR)/debian/tarsnap/etc/tarsnap.conf
	sed -i 's,^[a-z],#\0,' $(CURDIR)/debian/tarsnap/etc/tarsnap.conf
	sed -i 's,#cachedir .*,cachedir /var/lib/tarsnap/cache,' $(CURDIR)/debian/tarsnap/etc/tarsnap.conf

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	chmod 0700 $(CURDIR)/debian/tarsnap/var/lib/tarsnap/cache
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== pkg/debian/watch ===
version=3
https://www.tarsnap.com/download.html tarsnap-autoconf-(.*)\.tgz
